// shadow directional

varying vec4 FragPos;

#ifdef VERTEX
extern mat4 model;
extern mat4 view;
extern mat4 proj;


vec4 position(mat4 transform, vec4 vertex) {
  FragPos = (proj * view * model) * vertex;
  return FragPos;
}
#endif

#ifdef PIXEL
extern Image tex;

vec4 effect(vec4 color, Image tex, vec2 texture_coords, vec2 screen_coords)
{
  return vec4(FragPos.z * 0.5 + 0.5, 0, 0, 1); // tmp
}
#endif
